implement MAP TO actual-name IN handle clause for function definitions

01/21/2013 03:29 AM - Constantin Asofiei

Status: Closed Start date: 08/06/2013

Priority: Normal Due date: 08/06/2013

Assignee: Constantin Asofiei % Done: 100%

Category:  Estimated time: 6.00 hours

Target version: Runtime Support for Server Features   

billable: No case_num:  

vendor_id: GCD   

Description

Related issues:

Related to Base Language - Feature #1920: implement persistent procedures Closed

History

#1 - 04/12/2013 04:51 AM - Constantin Asofiei

- Estimated time set to 6.00

This clause should be easy to integrate in the ControlFlowOps invocation mechanism, as we only need to add a "hook" for the MAP TO clause at

function name resolution. What needs to be done is:

check if progress.g emits the MAP TO clause properly

change collect_names.rules to add this in a mapTo attribute for the method-mapping node

change ControlFlowOps's function resolution to use the mapTo name instead of the passed name, when resolving the function name to be

invoked

My estimate is 6 hours to complete.

#2 - 04/26/2013 10:38 AM - Greg Shah

- Due date set to 08/15/2013

- Assignee set to Constantin Asofiei

- Target version set to Milestone 7

- Start date set to 08/15/2013

#3 - 05/01/2013 02:29 PM - Greg Shah

- Due date changed from 08/15/2013 to 08/30/2013

- Start date changed from 08/15/2013 to 08/30/2013

#4 - 05/02/2013 12:26 PM - Greg Shah

- Due date changed from 08/30/2013 to 08/06/2013

- Start date changed from 08/30/2013 to 08/06/2013

#5 - 11/16/2013 03:45 AM - Constantin Asofiei

- Status changed from New to WIP
- % Done changed from 0 to 70

- File ca_upd20131116c.zip added

Adds support for the FUNCTION ... MAP TO case. The rule is that the search is done recursively, until it finds it or not; super-procedures are

included.

#6 - 11/18/2013 11:26 AM - Greg Shah

I'm fine with the 1116c changes.  There is a minor formatting problem in SourceNameMapper (blank line missing before the getMapTo() and an extra

blank line after it).

#7 - 12/12/2013 03:21 PM - Constantin Asofiei

- % Done changed from 70 to 100

1116c.zip was bundled with #2138 work. Committed to bzr revision 10420.

#8 - 12/12/2013 04:05 PM - Greg Shah

- Status changed from WIP to Closed

#9 - 11/16/2016 11:43 AM - Greg Shah

- Target version changed from Milestone 7 to Runtime Support for Server Features

Files

ca_upd20131116c.zip 40.7 KB 11/16/2013 Constantin Asofiei
